# -*- encoding: utf-8 -*-
# stub: parser 3.0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "parser".freeze
  s.version = "3.0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/whitequark/parser/issues", "changelog_uri" => "https://github.com/whitequark/parser/blob/v3.0.2.0/CHANGELOG.md", "documentation_uri" => "https://www.rubydoc.info/gems/parser/3.0.2.0", "source_code_uri" => "https://github.com/whitequark/parser/tree/v3.0.2.0" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["whitequark".freeze]
  s.date = "2021-07-08"
  s.description = "A Ruby parser written in pure Ruby.".freeze
  s.email = ["whitequark@whitequark.org".freeze]
  s.executables = ["ruby-parse".freeze, "ruby-rewrite".freeze]
  s.files = ["LICENSE.txt".freeze, "bin/ruby-parse".freeze, "bin/ruby-rewrite".freeze, "lib/gauntlet_parser.rb".freeze, "lib/parser.rb".freeze, "lib/parser/all.rb".freeze, "lib/parser/ast/node.rb".freeze, "lib/parser/ast/processor.rb".freeze, "lib/parser/base.rb".freeze, "lib/parser/builders/default.rb".freeze, "lib/parser/clobbering_error.rb".freeze, "lib/parser/color.rb".freeze, "lib/parser/context.rb".freeze, "lib/parser/current.rb".freeze, "lib/parser/current_arg_stack.rb".freeze, "lib/parser/deprecation.rb".freeze, "lib/parser/diagnostic.rb".freeze, "lib/parser/diagnostic/engine.rb".freeze, "lib/parser/lexer.rb".freeze, "lib/parser/lexer/dedenter.rb".freeze, "lib/parser/lexer/explanation.rb".freeze, "lib/parser/lexer/literal.rb".freeze, "lib/parser/lexer/stack_state.rb".freeze, "lib/parser/macruby.rb".freeze, "lib/parser/max_numparam_stack.rb".freeze, "lib/parser/messages.rb".freeze, "lib/parser/meta.rb".freeze, "lib/parser/rewriter.rb".freeze, "lib/parser/ruby18.rb".freeze, "lib/parser/ruby19.rb".freeze, "lib/parser/ruby20.rb".freeze, "lib/parser/ruby21.rb".freeze, "lib/parser/ruby22.rb".freeze, "lib/parser/ruby23.rb".freeze, "lib/parser/ruby24.rb".freeze, "lib/parser/ruby25.rb".freeze, "lib/parser/ruby26.rb".freeze, "lib/parser/ruby27.rb".freeze, "lib/parser/ruby28.rb".freeze, "lib/parser/ruby30.rb".freeze, "lib/parser/ruby31.rb".freeze, "lib/parser/rubymotion.rb".freeze, "lib/parser/runner.rb".freeze, "lib/parser/runner/ruby_parse.rb".freeze, "lib/parser/runner/ruby_rewrite.rb".freeze, "lib/parser/source/buffer.rb".freeze, "lib/parser/source/comment.rb".freeze, "lib/parser/source/comment/associator.rb".freeze, "lib/parser/source/map.rb".freeze, "lib/parser/source/map/collection.rb".freeze, "lib/parser/source/map/condition.rb".freeze, "lib/parser/source/map/constant.rb".freeze, "lib/parser/source/map/definition.rb".freeze, "lib/parser/source/map/for.rb".freeze, "lib/parser/source/map/heredoc.rb".freeze, "lib/parser/source/map/index.rb".freeze, "lib/parser/source/map/keyword.rb".freeze, "lib/parser/source/map/method_definition.rb".freeze, "lib/parser/source/map/objc_kwarg.rb".freeze, "lib/parser/source/map/operator.rb".freeze, "lib/parser/source/map/rescue_body.rb".freeze, "lib/parser/source/map/send.rb".freeze, "lib/parser/source/map/ternary.rb".freeze, "lib/parser/source/map/variable.rb".freeze, "lib/parser/source/range.rb".freeze, "lib/parser/source/rewriter.rb".freeze, "lib/parser/source/rewriter/action.rb".freeze, "lib/parser/source/tree_rewriter.rb".freeze, "lib/parser/source/tree_rewriter/action.rb".freeze, "lib/parser/static_environment.rb".freeze, "lib/parser/syntax_error.rb".freeze, "lib/parser/tree_rewriter.rb".freeze, "lib/parser/variables_stack.rb".freeze, "lib/parser/version.rb".freeze, "parser.gemspec".freeze]
  s.homepage = "https://github.com/whitequark/parser".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.0.8".freeze
  s.summary = "A Ruby parser written in pure Ruby.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ast>.freeze, ["~> 2.4.1"])
      s.add_development_dependency(%q<bundler>.freeze, [">= 1.15", "< 3.0.0"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 13.0.1"])
      s.add_development_dependency(%q<racc>.freeze, ["= 1.4.15"])
      s.add_development_dependency(%q<cliver>.freeze, ["~> 0.3.2"])
      s.add_development_dependency(%q<yard>.freeze, [">= 0"])
      s.add_development_dependency(%q<kramdown>.freeze, [">= 0"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 5.10"])
      s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.15.1"])
      s.add_development_dependency(%q<gauntlet>.freeze, [">= 0"])
    else
      s.add_dependency(%q<ast>.freeze, ["~> 2.4.1"])
      s.add_dependency(%q<bundler>.freeze, [">= 1.15", "< 3.0.0"])
      s.add_dependency(%q<rake>.freeze, ["~> 13.0.1"])
      s.add_dependency(%q<racc>.freeze, ["= 1.4.15"])
      s.add_dependency(%q<cliver>.freeze, ["~> 0.3.2"])
      s.add_dependency(%q<yard>.freeze, [">= 0"])
      s.add_dependency(%q<kramdown>.freeze, [">= 0"])
      s.add_dependency(%q<minitest>.freeze, ["~> 5.10"])
      s.add_dependency(%q<simplecov>.freeze, ["~> 0.15.1"])
      s.add_dependency(%q<gauntlet>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<ast>.freeze, ["~> 2.4.1"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.15", "< 3.0.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0.1"])
    s.add_dependency(%q<racc>.freeze, ["= 1.4.15"])
    s.add_dependency(%q<cliver>.freeze, ["~> 0.3.2"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<kramdown>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.10"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.15.1"])
    s.add_dependency(%q<gauntlet>.freeze, [">= 0"])
  end
end

